<?php

/*
+---------------------------------------------------------------------------+
| Max Media Manager v0.3                                                    |
| =================                                                         |
|                                                                           |
| Copyright (c) 2003-2005 m3 Media Services Limited                         |
| For contact details, see: http://www.m3.net/                              |
|                                                                           |
| Copyright (c) 2000-2003 the phpAdsNew developers                          |
| For contact details, see: http://www.phpadsnew.com/                       |
|                                                                           |
| This program is free software; you can redistribute it and/or modify      |
| it under the terms of the GNU General Public License as published by      |
| the Free Software Foundation; either version 2 of the License, or         |
| (at your option) any later version.                                       |
|                                                                           |
| This program is distributed in the hope that it will be useful,           |
| but WITHOUT ANY WARRANTY; without even the implied warranty of            |
| MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the             |
| GNU General Public License for more details.                              |
|                                                                           |
| You should have received a copy of the GNU General Public License         |
| along with this program; if not, write to the Free Software               |
| Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA |
+---------------------------------------------------------------------------+
$Id: zone-probability.php 3848 2005-11-03 09:39:41Z chris@m3.net $
*/

// Require the initialisation file
require_once '../../init.php';

// Required files
require_once MAX_PATH . '/www/admin/config.php';
require_once MAX_PATH . '/www/admin/lib-statistics.inc.php';
require_once MAX_PATH . '/www/admin/lib-zones.inc.php';
require_once MAX_PATH . '/lib/max/other/delivery.php';
require_once MAX_PATH . '/lib/max/other/html.php';

// Security check
phpAds_checkAccess(phpAds_Admin + phpAds_Agency + phpAds_Affiliate);

/*-------------------------------------------------------*/
/* Affiliate interface security                          */
/*-------------------------------------------------------*/

if (phpAds_isUser(phpAds_Affiliate))
{
	$result = phpAds_dbQuery("
		SELECT
			affiliateid
		FROM
			".$conf['table']['prefix'].$conf['table']['zones']."
		WHERE
			zoneid = '$zoneid'
		") or phpAds_sqlDie();
	$row = phpAds_dbFetchArray($result);
	
	if ($row["affiliateid"] == '' || phpAds_getUserID() != $row["affiliateid"])
	{
		phpAds_PageHeader("1");
		phpAds_Die ($strAccessDenied, $strNotAdmin);
	}
	else
	{
		$affiliateid = $row["affiliateid"];
	}
}
elseif (phpAds_isUser(phpAds_Agency))
{
	$query = "SELECT z.zoneid as zoneid".
		" FROM ".$conf['table']['prefix'].$conf['table']['affiliates']." AS a".
		",".$conf['table']['prefix'].$conf['table']['zones']." AS z".
		" WHERE z.affiliateid=".$affiliateid.
		" AND z.zoneid=".$zoneid.
		" AND z.affiliateid=a.affiliateid".
		" AND a.agencyid=".phpAds_getUserID();
	
	$res = phpAds_dbQuery($query) or phpAds_sqlDie();
	if (phpAds_dbNumRows($res) == 0)
	{
		phpAds_PageHeader("2");
		phpAds_Die ($strAccessDenied, $strNotAdmin);
	}
}



/*-------------------------------------------------------*/
/* HTML framework                                        */
/*-------------------------------------------------------*/

if (isset($session['prefs']['affiliate-zones.php']['listorder']))
	$navorder = $session['prefs']['affiliate-zones.php']['listorder'];
else
	$navorder = '';

if (isset($session['prefs']['affiliate-zones.php']['orderdirection']))
	$navdirection = $session['prefs']['affiliate-zones.php']['orderdirection'];
else
	$navdirection = '';

/*
// Get other zones
$res = phpAds_dbQuery("
	SELECT
		*
	FROM
		".$conf['table']['prefix'].$conf['table']['zones']."
	WHERE
		affiliateid = '".$affiliateid."'
		".phpAds_getZoneListOrder ($navorder, $navdirection)."
");

while ($row = phpAds_dbFetchArray($res))
{
	phpAds_PageContext (
		phpAds_buildZoneName ($row['zoneid'], $row['zonename']),
		"zone-probability.php?affiliateid=".$affiliateid."&zoneid=".$row['zoneid'],
		$zoneid == $row['zoneid']
	);
}

if (phpAds_isUser(phpAds_Admin) || phpAds_isUser(phpAds_Agency))
{
	phpAds_PageShortcut($strAffiliateProperties, 'affiliate-edit.php?affiliateid='.$affiliateid, 'images/icon-affiliate.gif');
	phpAds_PageShortcut($strZoneHistory, 'stats-zone-history.php?affiliateid='.$affiliateid.'&zoneid='.$zoneid, 'images/icon-statistics.gif');
	
	
	$extra  = "<form action='zone-modify.php'>";
	$extra .= "<input type='hidden' name='zoneid' value='$zoneid'>";
	$extra .= "<input type='hidden' name='affiliateid' value='$affiliateid'>";
	$extra .= "<input type='hidden' name='returnurl' value='zone-probability.php'>";
	$extra .= "<br /><br />";
	$extra .= "<b>$strModifyZone</b><br />";
	$extra .= "<img src='images/break.gif' height='1' width='160' vspace='4'><br />";
	$extra .= "<img src='images/icon-duplicate-zone.gif' align='absmiddle'>&nbsp;<a href='zone-modify.php?affiliateid=".$affiliateid."&zoneid=".$zoneid."&duplicate=true&returnurl=zone-probability.php'>$strDuplicate</a><br />";
	$extra .= "<img src='images/break.gif' height='1' width='160' vspace='4'><br />";
	$extra .= "<img src='images/icon-move-zone.gif' align='absmiddle'>&nbsp;$strMoveTo<br />";
	$extra .= "<img src='images/spacer.gif' height='1' width='160' vspace='2'><br />";
	$extra .= "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
	$extra .= "<select name='moveto' style='width: 110;'>";

	if (phpAds_isUser(phpAds_Admin))
	{
		$query = "SELECT affiliateid,name".
			" FROM ".$conf['table']['prefix'].$conf['table']['affiliates'].
			" WHERE affiliateid != ".$affiliateid;
	}
	elseif (phpAds_isUser(phpAds_Agency))
	{
		$query = "SELECT affiliateid,name".
			" FROM ".$conf['table']['prefix'].$conf['table']['affiliates'].
			" WHERE affiliateid != ".$affiliateid.
			" AND agencyid=".phpAds_getUserID();
	}
	$res = phpAds_dbQuery($query)
		or phpAds_sqlDie();
	
	while ($row = phpAds_dbFetchArray($res))
		$extra .= "<option value='".$row['affiliateid']."'>".phpAds_buildAffiliateName($row['affiliateid'], $row['name'])."</option>";
	
	$extra .= "</select>&nbsp;<input type='image' src='images/".$phpAds_TextDirection."/go_blue.gif'><br />";
	$extra .= "<img src='images/break.gif' height='1' width='160' vspace='4'><br />";
	$extra .= "<img src='images/icon-recycle.gif' align='absmiddle'>&nbsp;<a href='zone-delete.php?affiliateid=$affiliateid&zoneid=$zoneid&returnurl=affiliate-zones.php'".phpAds_DelConfirm($strConfirmDeleteZone).">$strDelete</a><br />";
	$extra .= "</form>";
	
	
	phpAds_PageHeader("4.2.3.4", $extra);
		echo "<img src='images/icon-affiliate.gif' align='absmiddle'>&nbsp;".phpAds_getAffiliateName($affiliateid);
		echo "&nbsp;<img src='images/".$phpAds_TextDirection."/caret-rs.gif'>&nbsp;";
		echo "<img src='images/icon-zone.gif' align='absmiddle'>&nbsp;<b>".phpAds_getZoneName($zoneid)."</b><br /><br /><br />";
		phpAds_ShowSections(array("4.2.3.2", "4.2.3.6", "4.2.3.3", "4.2.3.4", "4.2.3.5"));
}
else
{
	if (phpAds_isAllowed(phpAds_EditZone)) $sections[] = "2.1.2";
	if (phpAds_isAllowed(phpAds_EditZone)) $sections[] = "2.1.6";
	if (phpAds_isAllowed(phpAds_LinkBanners)) $sections[] = "2.1.3";
	$sections[] = "2.1.4";
	$sections[] = "2.1.5";
		
	phpAds_PageHeader("2.1.4");
		echo "<img src='images/icon-affiliate.gif' align='absmiddle'>&nbsp;".phpAds_getAffiliateName($affiliateid);
		echo "&nbsp;<img src='images/".$phpAds_TextDirection."/caret-rs.gif'>&nbsp;";
		echo "<img src='images/icon-zone.gif' align='absmiddle'>&nbsp;<b>".phpAds_getZoneName($zoneid)."</b><br /><br /><br />";
		phpAds_ShowSections($sections);
}
*/

// Initialise some parameters
$pageName = basename($_SERVER['PHP_SELF']);
$tabIndex = 1;
$agencyId = phpAds_getAgencyID();
$aEntities = array('affiliateid' => $affiliateid, 'zoneid' => $zoneid);

$aOtherPublishers = Admin_DA::getPublishers(array('agency_id' => $agencyId));
$aOtherZones = Admin_DA::getZones(array('publisher_id' => $affiliateid));
MAX_displayNavigationZone($pageName, $aOtherPublishers, $aOtherZones, $aEntities);

/*-------------------------------------------------------*/
/* Main code                                             */
/*-------------------------------------------------------*/

function phpAds_showZoneBanners ($zoneId)
{
    $pref = $GLOBALS['_MAX']['PREF'];
	global $phpAds_TextDirection;
	global $strUntitled, $strName, $strID, $strWeight, $strShowBanner;
	global $strCampaignWeight, $strBannerWeight, $strProbability, $phpAds_TextAlignRight, $phpAds_TextAlignLeft;
	global $strRawQueryString, $strZoneProbListChain, $strZoneProbNullPri, $strZoneProbListChainLoop;
	global $strExclusiveAds, $strHighAds, $strLowAds, $strLimitations, $strNoLimitations;
	
	$aZoneLinkedAds = MAX_getZoneLinkedAds($zoneId, true);
	
	if (empty($aZoneLinkedAds['xAds']) && empty($aZoneLinkedAds['ads']) &&  empty($aZoneLinkedAds['lAds'])) {
        echo "<table width='100%' border='0' align='center' cellspacing='0' cellpadding='0'>";
	  	echo "<tr height='25'><th align='$phpAds_TextAlignLeft' colspan='4'><strong>{$strZoneProbNullPri}</strong></th></tr>";
		echo "</table>";
	} else {
        $usedHighProbability = 0;
        echo "<table width='100%' border='0' align='center' cellspacing='0' cellpadding='0'>";
    	// Exclusive Advertisements
    	if (!empty($aZoneLinkedAds['xAds'])) {
    	  	echo "<tr height='25'><th align='$phpAds_TextAlignLeft' colspan='4'><strong>$strExclusiveAds:</strong></th></tr>";
        	echo "<tr height='25'>";
        	echo "<td height='25' width='40%'>&nbsp;&nbsp;".$strName."</td>";
        	echo "<td height='25'>".$strID."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>";
        	echo "<td height='25'>$strLimitations</td>";
        	echo "<td height='25' align='".$phpAds_TextAlignRight."'>&nbsp;</td>";
        	echo "</tr>";
        	echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
    		foreach($aZoneLinkedAds['xAds'] as $adId => $aLinkedAd) {
    			$name = phpAds_getBannerName ($adId, 60, false);
    			echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break-l.gif' height='1' width='100%'></td></tr>";
    			echo "<tr height='25' ".($i%2==0?"bgcolor='#F6F6F6'":"").">";
    			echo "<td height='25'>";
    			echo "&nbsp;&nbsp;";
    			// Banner icon
    			if ($aLinkedAd['type'] == 'html') {
    				echo "<img src='images/icon-banner-html.gif' align='absmiddle'>&nbsp;";
    			} elseif ($aLinkedAd['type'] == 'txt') {
    				echo "<img src='images/icon-banner-text.gif' align='absmiddle'>&nbsp;";
    			} elseif ($aLinkedAd['type'] == 'url') {
    				echo "<img src='images/icon-banner-url.gif' align='absmiddle'>&nbsp;";
    			} else {
    				echo "<img src='images/icon-banner-stored.gif' align='absmiddle'>&nbsp;";
    			}
    			// Name
    			if (phpAds_isUser(phpAds_Admin) || phpAds_isUser(phpAds_Agency)) {
    				echo "<a href='banner-edit.php?clientid=".phpAds_getCampaignParentClientID($aLinkedAd['placement_id'])."&campaignid=".$aLinkedAd['placement_id']."&bannerid=".$adId."'>".$name."</a>";
    			} else {
    				echo $name;
    			}
    			echo "</td>";
    			echo "<td height='25'>".$adId."</td>";
    			if ($aLinkedAd['compiledlimitation'] == '' or $aLinkedAd['compiledlimitation'] == 'true') {
                    $limitations = "<a href='banner-acl.php?clientid=".phpAds_getCampaignParentClientID($aLinkedAd['placement_id'])."&campaignid={$aLinkedAd['placement_id']}&bannerid={$aLinkedAd['ad_id']}'><img src='images/icon-no-acl.gif' alt='Limitations' align='middle' border='0'>&nbsp;<strong>$strNoLimitations</strong></a>";
    			} else {
    			    $limitations = "<a href='banner-acl.php?clientid=".phpAds_getCampaignParentClientID($aLinkedAd['placement_id'])."&campaignid={$aLinkedAd['placement_id']}&bannerid={$aLinkedAd['ad_id']}'><img src='images/icon-acl.gif' alt='Limitations' align='middle' border='0'>&nbsp;$strLimitations</a>";
    			}
                echo "<td height='25'>$limitations $capping</td>";
    			// Show banner
    			if ($aLinkedAd['type'] == 'txt') {
    				$width	= 300;
    				$height = 200;
    			} else {
    				$width  = $aLinkedAd['width'] + 64;
    				$height = $aLinkedAd['bannertext'] ? $aLinkedAd['height'] + 90 : $aLinkedAd['height'] + 64;
    			}
    			echo "<td height='25' align='".$phpAds_TextAlignRight."'>";
    			echo "<a href='banner-htmlpreview.php?bannerid=".$adId."' target='_new' ";
    			echo "onClick=\"return openWindow('banner-htmlpreview.php?bannerid=".$adId."', '', 'status=no,scrollbars=no,resizable=no,width=".$width.",height=".$height."');\">";
    			echo "<img src='images/icon-zoom.gif' align='absmiddle' border='0'>&nbsp;".$strShowBanner."</a>&nbsp;&nbsp;";
    			echo "</td>";
    			echo "</tr>";
    		}
    	    echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
    	    echo "<tr><td colspan='4'><br /><br /></td></tr>";
    	}
    	// High-Priority Advertisements
    	if (!empty($aZoneLinkedAds['ads'])) {
        	echo "<tr height='25'><th align='$phpAds_TextAlignLeft' colspan='4'><strong>$strHighAds:</strong></th></tr>";
        	echo "<tr height='25'>";
        	echo "<td height='25' width='40%'><b>&nbsp;&nbsp;".$strName."</b></td>";
        	echo "<td height='25'><b>".$strID."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</b></td>";
        	echo "<td height='25'><b>".$strProbability."</b></td>";
        	echo "<td height='25' align='".$phpAds_TextAlignRight."'>&nbsp;</td>";
        	echo "</tr>";
        	echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
    		foreach($aZoneLinkedAds['ads'] as $adId => $aLinkedAd) {
    			$name = phpAds_getBannerName ($adId, 60, false);
    			echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break-l.gif' height='1' width='100%'></td></tr>";
    			echo "<tr height='25' ".($i%2==0?"bgcolor='#F6F6F6'":"").">";
    			echo "<td height='25'>";
    			echo "&nbsp;&nbsp;";
    			// Banner icon
    			if ($aLinkedAd['type'] == 'html') {
    				echo "<img src='images/icon-banner-html.gif' align='absmiddle'>&nbsp;";
    			} elseif ($aLinkedAd['type'] == 'txt') {
    				echo "<img src='images/icon-banner-text.gif' align='absmiddle'>&nbsp;";
    			} elseif ($aLinkedAd['type'] == 'url') {
    				echo "<img src='images/icon-banner-url.gif' align='absmiddle'>&nbsp;";
    			} else {
    				echo "<img src='images/icon-banner-stored.gif' align='absmiddle'>&nbsp;";
    			}
    			// Name
    			if (phpAds_isUser(phpAds_Admin) || phpAds_isUser(phpAds_Agency)) {
    				echo "<a href='banner-edit.php?clientid=".phpAds_getCampaignParentClientID($aLinkedAd['placement_id'])."&campaignid=".$aLinkedAd['placement_id']."&bannerid=".$adId."'>".$name."</a>";
    			} else {
    				echo $name;
    			}
    			echo "</td>";
    			echo "<td height='25'>".$adId."</td>";
    			// Priority
                $priority = $aLinkedAd['priority'] * 100;
                $usedHighProbability += $aLinkedAd['priority'];
    			echo "<td height='25'>".number_format($priority, $pref['percentage_decimals'])."%</td>";		
    			// Show banner
    			if ($aLinkedAd['type'] == 'txt') {
    				$width	= 300;
    				$height = 200;
    			} else {
    				$width  = $aLinkedAd['width'] + 64;
    				$height = $aLinkedAd['bannertext'] ? $aLinkedAd['height'] + 90 : $aLinkedAd['height'] + 64;
    			}
    			echo "<td height='25' align='".$phpAds_TextAlignRight."'>";
    			echo "<a href='banner-htmlpreview.php?bannerid=".$adId."' target='_new' ";
    			echo "onClick=\"return openWindow('banner-htmlpreview.php?bannerid=".$adId."', '', 'status=no,scrollbars=no,resizable=no,width=".$width.",height=".$height."');\">";
    			echo "<img src='images/icon-zoom.gif' align='absmiddle' border='0'>&nbsp;".$strShowBanner."</a>&nbsp;&nbsp;";
    			echo "</td>";
    			echo "</tr>";
    		}
        	echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
        	echo "<tr><td colspan='4'><br /><br /></td></tr>";
    	}
    	// Low-Priority Advertisements
    	if (!empty($aZoneLinkedAds['lAds'])) {
        	echo "<tr height='25'><th align='$phpAds_TextAlignLeft' colspan='4'><strong>$strLowAds:</strong></th></tr>";
        	echo "<tr height='25'>";
        	echo "<td height='25' width='40%'><b>&nbsp;&nbsp;".$strName."</b></td>";
        	echo "<td height='25'><b>".$strID."&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</b></td>";
        	echo "<td height='25'><b>".$strProbability."</b></td>";
        	echo "<td height='25' align='".$phpAds_TextAlignRight."'>&nbsp;</td>";
        	echo "</tr>";
        	echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
        	$ofPriority = (1 - $usedHighProbability) * 100;
    		foreach($aZoneLinkedAds['lAds'] as $adId => $aLinkedAd) {
    			$name = phpAds_getBannerName ($adId, 60, false);
    			echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break-l.gif' height='1' width='100%'></td></tr>";
    			echo "<tr height='25' ".($i%2==0?"bgcolor='#F6F6F6'":"").">";
    			echo "<td height='25'>";
    			echo "&nbsp;&nbsp;";
    			// Banner icon
    			if ($aLinkedAd['type'] == 'html') {
    				echo "<img src='images/icon-banner-html.gif' align='absmiddle'>&nbsp;";
    			} elseif ($aLinkedAd['type'] == 'txt') {
    				echo "<img src='images/icon-banner-text.gif' align='absmiddle'>&nbsp;";
    			} elseif ($aLinkedAd['type'] == 'url') {
    				echo "<img src='images/icon-banner-url.gif' align='absmiddle'>&nbsp;";
    			} else {
    				echo "<img src='images/icon-banner-stored.gif' align='absmiddle'>&nbsp;";
    			}
    			// Name
    			if (phpAds_isUser(phpAds_Admin) || phpAds_isUser(phpAds_Agency)) {
    				echo "<a href='banner-edit.php?clientid=".phpAds_getCampaignParentClientID($aLinkedAd['placement_id'])."&campaignid=".$aLinkedAd['placement_id']."&bannerid=".$adId."'>".$name."</a>";
    			} else {
    				echo $name;
    			}
    			echo "</td>";
    			echo "<td height='25'>".$adId."</td>";
    			// Priority
                $priority = $aLinkedAd['priority'] / $aZoneLinkedAds['priority']['lAds'] * 100;
                $realPriority = $priority * $ofPriority / 100;
    			echo "<td height='25'>".number_format($realPriority, $pref['percentage_decimals'])."% (".number_format($priority, $pref['percentage_decimals'])."% of ".number_format($ofPriority, $pref['percentage_decimals'])."%)</td>";		
    			// Show banner
    			if ($aLinkedAd['type'] == 'txt') {
    				$width	= 300;
    				$height = 200;
    			} else {
    				$width  = $aLinkedAd['width'] + 64;
    				$height = $aLinkedAd['bannertext'] ? $aLinkedAd['height'] + 90 : $aLinkedAd['height'] + 64;
    			}
    			echo "<td height='25' align='".$phpAds_TextAlignRight."'>";
    			echo "<a href='banner-htmlpreview.php?bannerid=".$adId."' target='_new' ";
    			echo "onClick=\"return openWindow('banner-htmlpreview.php?bannerid=".$adId."', '', 'status=no,scrollbars=no,resizable=no,width=".$width.",height=".$height."');\">";
    			echo "<img src='images/icon-zoom.gif' align='absmiddle' border='0'>&nbsp;".$strShowBanner."</a>&nbsp;&nbsp;";
    			echo "</td>";
    			echo "</tr>";
    		}
        	echo "<tr height='1'><td colspan='4' bgcolor='#888888'><img src='images/break.gif' height='1' width='100%'></td></tr>";
    	}
    	echo "</table>";
	    echo "<br /><br />";
	}
	
}

/*-------------------------------------------------------*/
/* Main code                                             */
/*-------------------------------------------------------*/

if (isset($zoneid) && $zoneid != '') {
	phpAds_showZoneBanners($zoneid);
}

/*-------------------------------------------------------*/
/* HTML framework                                        */
/*-------------------------------------------------------*/

phpAds_PageFooter();

?>